# Asterisk Project : Asterisk 13 AGICommand_say datetime

Created by wikibot on Aug 08, 2014

# SAY DATETIME

### Synopsis

Says a given time as specified by the format given.

### Description

Say a given time, returning early if any of the given DTMF digits are received on the channel. Returns `0` if playback completes without a digit being pressed, or the ASCII numerical value of the digit if one was pressed or `-1` on error/hangup.

### Syntax

    SAY DATETIME TIME ESCAPE_DIGITS FORMAT TIMEZONE

##### Arguments

- `time` - Is number of seconds elapsed since 00:00:00 on January 1, 1970, Coordinated Universal Time (UTC)
- `escape_digits`
- `format` - Is the format the time should be said in. See `voicemail.conf` (defaults to `ABdY 'digits/at' IMp`).
- `timezone` - Acceptable values can be found in `/usr/share/zoneinfo` Defaults to machine default.

### See Also

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538